Name: icinga-notifications-web
Version: 0.1.0
Release: 1
Summary: Icinga Notifications Web facilitates incident and recipients management for your Icinga stack

Group: Applications/System

License: GPL-2.0-only

URL: https://icinga.com
Source0: icinga-notifications-web-0.1.0.tgz

Requires: icingaweb2 >= 2.9.0
Requires: icinga-notifications-web-php = 0.1.0-1

Recommends: icinga-desktop-notifications = 0.1.0-1

BuildArch: noarch

%description
Icinga Notifications Web provides a very simple but sophisticated way of
managing incidents and configuring recipients, escalations etc. for your
entire Icinga stack.

%package php
Summary: Icinga Notifications Web PHP files
Requires: icingaweb2-common >= 2.9.0
Requires: icinga-php-library >= 0.14.0
Requires: icinga-php-thirdparty >= 0.12.0
Requires: php-json
Requires: php-pdo
Requires: php-pdo_mysql
Requires: php-pdo_pgsql

%description php
PHP files for Icinga Notifications Web.

%package -n icinga-desktop-notifications
Summary: Icinga Desktop Notifications files
BuildRequires: systemd-rpm-macros
Requires: icinga-notifications-web-php = 0.1.0-1
Requires: icingacli >= 2.9.0

%description -n icinga-desktop-notifications
Daemon files for Icinga Desktop Notifications.

%prep
%autosetup

%install
install -Dpm 0644 config/systemd/icinga-desktop-notifications.service %_topdir/BUILDROOT/icinga-notifications-web-0.1.0-1.x86_64/usr/lib/systemd/system/icinga-desktop-notifications.service

install -dpm 0755 %_topdir/BUILDROOT/icinga-notifications-web-0.1.0-1.x86_64/usr/share/icingaweb2/modules/notifications
cp -prv * %_topdir/BUILDROOT/icinga-notifications-web-0.1.0-1.x86_64/usr/share/icingaweb2/modules/notifications

install -dm 0755 %_topdir/BUILDROOT/icinga-notifications-web-0.1.0-1.x86_64/usr/share/doc/packages/icinga-notifications-web
cp -v README.md %_topdir/BUILDROOT/icinga-notifications-web-0.1.0-1.x86_64/usr/share/doc/packages/icinga-notifications-web/
cp -rv doc %_topdir/BUILDROOT/icinga-notifications-web-0.1.0-1.x86_64/usr/share/doc/packages/icinga-notifications-web/

%post php
if [ $1 == 1 ]; then
ln --symbolic --no-dereference --verbose --target-directory=/etc/icingaweb2/enabledModules /usr/share/icingaweb2/modules/notifications || true
fi

%preun php
if [ $1 == 0 ]; then
rm --force --verbose /etc/icingaweb2/enabledModules/notifications
fi

%files

%files php
%license LICENSE
/usr/share/doc/packages/icinga-notifications-web
/usr/share/icingaweb2/modules/notifications

%post -n icinga-desktop-notifications
:
if [ -x /usr/bin/systemctl ]; then
test -n "$FIRST_ARG" || FIRST_ARG="$1"
[ -d /var/lib/systemd/migrated ] || mkdir -p /var/lib/systemd/migrated || :

if [ "$YAST_IS_RUNNING" != "instsys" ]; then
/usr/bin/systemctl daemon-reload || :
fi
for service in icinga-desktop-notifications.service ; do
sysv_service=${service%.*}

if [ -e /run/systemd/rpm/needs-preset/$service ]; then
/usr/bin/systemctl preset $service || :
rm "/run/systemd/rpm/needs-preset/$service" || :

elif [ -e /run/systemd/rpm/needs-sysv-convert/$service ]; then
/usr/sbin/systemd-sysv-convert --apply $sysv_service || :
rm "/run/systemd/rpm/needs-sysv-convert/$service" || :
touch /var/lib/systemd/migrated/$sysv_service || :
fi
done
fi

%preun -n icinga-desktop-notifications
:
test -n "$FIRST_ARG" || FIRST_ARG="$1"
if [ "$FIRST_ARG" -eq 0 -a -x /usr/bin/systemctl ]; then
/usr/bin/systemctl --no-reload disable icinga-desktop-notifications.service || :
(
test "$YAST_IS_RUNNING" = instsys && exit 0
test -f /etc/sysconfig/services -a \
-z "$DISABLE_STOP_ON_REMOVAL" && . /etc/sysconfig/services
test "$DISABLE_STOP_ON_REMOVAL" = yes -o \
"$DISABLE_STOP_ON_REMOVAL" = 1 && exit 0
/usr/bin/systemctl stop icinga-desktop-notifications.service
) || :
fi

%postun -n icinga-desktop-notifications
:
test -n "$FIRST_ARG" || FIRST_ARG="$1"

if [ $1 -eq 0 ]; then
for service in icinga-desktop-notifications.service ; do
sysv_service="${service%.*}"
rm -f "/var/lib/systemd/migrated/$sysv_service" || :
done
fi
if [ -x /usr/bin/systemctl ]; then
/usr/bin/systemctl daemon-reload || :
fi

if [ "$FIRST_ARG" -ge 1 ]; then
if [ -x /usr/bin/systemctl ]; then
(
test "$YAST_IS_RUNNING" = instsys && exit 0
test -f /etc/sysconfig/services -a \
-z "$DISABLE_RESTART_ON_UPDATE" && . /etc/sysconfig/services
test "$DISABLE_RESTART_ON_UPDATE" = yes -o \
"$DISABLE_RESTART_ON_UPDATE" = 1 && exit 0
/usr/bin/systemctl try-restart icinga-desktop-notifications.service
) || :
fi
fi

%files -n icinga-desktop-notifications
/usr/lib/systemd/system/icinga-desktop-notifications.service

%changelog
* Wed Jul 24 2024 Icinga GmbH <info@icinga.com> - 0.1.0-1
- Version 0.1.0-1

